Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.struts
Class PortletServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.struts.action.ActionServlet
                  org.apache.portals.bridges.struts.PortletServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class PortletServlet
extends org.apache.struts.action.ActionServlet

PortletServlet

Version:
  $Id: PortletServlet.java 546262 2007-06-11 20:34:49Z ate $
Author:
  Ate Douma
See Also:
  Serialized Form

Field Summary
`private static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.action.ActionServlet
`config, configDigester, convertNull, dataSources, internal, internalName, processor, registrations, servletMapping, servletName`

Fields inherited from class javax.servlet.http.HttpServlet
``

Constructor Summary
`PortletServlet()`

Method Summary
`javax.servlet.ServletContext` | `getServletContext()`
`void` | `init(javax.servlet.ServletConfig config)`
`protected void` | `initModulePlugIns(org.apache.struts.config.ModuleConfig config)`
`static boolean` | `isPortletRequest(javax.servlet.ServletRequest request)`
`boolean` | `performActionRenderRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, org.apache.struts.action.ActionMapping mapping)`

Methods inherited from class org.apache.struts.action.ActionServlet
`addServletMapping, destroy, destroyConfigDigester, destroyInternal, destroyModules, doGet, doPost, getInternal, getModuleConfig, getRequestProcessor, init, initConfigDigester, initInternal, initModuleConfig, initModuleConfigFactory, initModuleDataSources, initModuleMessageResources, initModulePrefixes, initOther, initServlet, parseModuleConfigFile, process`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletInfo, getServletName, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

Constructor Detail

### PortletServlet

    public PortletServlet()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

### initModulePlugIns

    protected void initModulePlugIns(org.apache.struts.config.ModuleConfig config)
                              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### performActionRenderRequest

    public boolean performActionRenderRequest(javax.servlet.http.HttpServletRequest request,
                                              javax.servlet.http.HttpServletResponse response,
                                              org.apache.struts.action.ActionMapping mapping)
                                       throws IOException,
                                              javax.servlet.ServletException

  Throws:
    `IOException`
    `javax.servlet.ServletException`

### isPortletRequest

    public static boolean isPortletRequest(javax.servlet.ServletRequest request)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.